Create a new case. Only claimant.firstName and claimant.lastName are required.
When case is provided and case.allowDuplication is false (default), returns 409 if a case with the same claimant name and case.caseNumber already exists.
Optionally set case.createdBy to the email of a Wisedocs user to show as the case's "Created by". Returns 400 if the email does not belong to an active user in your workspace or, when team visibility is enabled, to a member of one of the case.teams.
Security
oauth2ClientCredentials(Required scopes: cases:write) and apiKeyAuth
No longer used. Accepted for compatibility and ignored.
Example:"123e4567-e89b-12d3-a456-426614174000"
- Mock serverhttps://docs.wisedocs.ai/_mock/api/openapi/api/v1/cases
- Development serverhttps://dev-api.wisedocs.ai/api/v1/cases
- Staging serverhttps://staging-api.wisedocs.ai/api/v1/cases
- Production serverhttps://api.wisedocs.ai/api/v1/cases
curl -i -X POST \
https://docs.wisedocs.ai/_mock/api/openapi/api/v1/cases \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY_HERE' \
-d '{
"claimant": {
"firstName": "John",
"lastName": "Doe"
}
}'Response
{ "data": { "caseUuid": "123e4567-e89b-12d3-a456-426614174000", "status": "OPENED" }, "status": "success" }